Page MenuHomePhabricator

ApiMobileView fails with ErrorException
Closed, ResolvedPublic2 Story Points

Description

From time to time ApiMobileViews logs an error which adds noise to our ability to see other errors:

/w/api.php ErrorException from line 131 of /srv/mediawiki/php-1.30.0-wmf.1/extensions/MobileFrontend/includes/api/ApiMobileView.php: PHP Error: Argument 1 passed to ApiResult::setArrayType() must be an instance of array, null given

Stack trace:

#0 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiResult.php(738): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.30.0-wmf.1/extensions/MobileFrontend/includes/api/ApiMobileView.php(131): ApiResult::setArrayType(NULL, string)
#2 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiMain.php(1578): ApiMobileView->execute()
#3 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiMain.php(545): ApiMain->executeAction()
#4 /srv/mediawiki/php-1.30.0-wmf.1/includes/api/ApiMain.php(516): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/php-1.30.0-wmf.1/api.php(83): ApiMain->execute()
#6 /srv/mediawiki/w/api.php(3): include(string)
#7 {main}

First occurence: May 16th
Errors logged: 32

Logs: https://logstash.wikimedia.org/app/kibana#/dashboard/Reading-Web?_g=(refreshInterval:(display:Off,pause:!f,value:0),time:(from:now-30d,mode:quick,to:now))&_a=(filters:!(),options:(darkTheme:!f),panels:!((col:1,id:All-Events,panelIndex:1,row:1,size_x:6,size_y:2,type:visualization),(col:7,id:Top-20-Hosts,panelIndex:4,row:1,size_x:3,size_y:2,type:visualization),(col:10,id:MediaWiki-Versions,panelIndex:5,row:1,size_x:3,size_y:2,type:visualization),(col:1,id:'Trending-Messages-(Reduced-noice)',panelIndex:6,row:3,size_x:12,size_y:6,type:visualization),(col:1,columns:!(type,level,wiki,host,message),id:Default-Events-List,panelIndex:7,row:9,size_x:12,size_y:5,sort:!('@timestamp',desc),type:search)),query:(query_string:(analyze_wildcard:!t,query:'message:MobileFrontend%20%20AND%20exception.message:%20%22PHP%20Error:%20Argument%201%20passed%20to%20ApiResult::setArrayType()%20must%20be%20an%20instance%20of%20array,%20null%20given%22')),title:'Reading%20Web',uiState:(P-1:(spy:(mode:(fill:!f,name:!n))),P-4:(vis:(params:(sort:(columnIndex:!n,direction:!n)))),P-6:(vis:(params:(sort:(columnIndex:!n,direction:!n))))))

Line:

Event Timeline

pmiazga created this task.May 29 2017, 10:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2017, 10:03 PM
pmiazga updated the task description. (Show Details)
pmiazga updated the task description. (Show Details)
Jdlrobson triaged this task as High priority.May 30 2017, 4:04 PM
Jdlrobson moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)May 30 2017, 4:13 PM
Jdlrobson set the point value for this task to 2.May 30 2017, 4:15 PM

Change 356481 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] When page properties are not available do not throw exceptions

https://gerrit.wikimedia.org/r/356481

Change 356481 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] When page properties are not available do not throw exceptions

https://gerrit.wikimedia.org/r/356481

bmansurov claimed this task.Jun 1 2017, 5:04 PM

Will sign off once the patch is in production.

Will sign off tomorrow as the changes haven't hit production yet.

bmansurov closed this task as Resolved.Jun 9 2017, 1:54 PM
bmansurov removed bmansurov as the assignee of this task.
bmansurov added a subscriber: bmansurov.

No error messages in the last 12 hours.

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:10 PM